=== debian/control ===
Source: ros-noetic-rosunit
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin (>= 0.5.78)
Homepage: http://wiki.ros.org/rosunit
Standards-Version: 3.9.2

Package: ros-noetic-rosunit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-roslib
Description: Unit-testing package for ROS.
 This is a lower-level library for rostest and handles unit tests, whereas rostest handles integration tests.
